<!DOCTYPE html>
<html>
  <head>
    <title>Ejemplo Ajax Jquery</title>
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script>
      $(document).ready(function () {
        //-----------------------------------------------------
        // OBTIENE REGIONES
        //-----------------------------------------------------
        $.ajax({
          type: "GET",
          url: "https://apis.digital.gob.cl/dpa/regiones",
          success: function (data) {
            $("#select_provincias").html("");
            $("#select_comunas").html("");
            var arr = data;
            var regiones = "";
            arr.map(
              (elem) =>
                (regiones += `<option value='${elem["codigo"]}'>${elem["codigo"]} - ${elem["nombre"]}</option>`)
            );
            $("#select_regiones").append(`${regiones}`);
          },
        });

        //----------------------------------------------------------------------
        // OBTIENE PROVINCIAS X REGIÓN
        //------------------------------------------------------------------------
        $("#select_regiones").on("change", function () {
          var region = $(this).val();

          $.ajax({
            type: "GET",
            url: `https://apis.digital.gob.cl/dpa/regiones/${region}/provincias`,
            success: function (data) {
              $("#select_provincias").html("");
              $("#select_comunas").html("");
              var arr = data;
              var provincias = "";
              arr.map(
                (elem) =>
                  (provincias += `<option value='${elem["codigo"]}'>${elem["codigo"]} - ${elem["nombre"]}</option>`)
              );
              $("#select_provincias").append(`${provincias}`);
            },
          });
        });

        //---------------------------------------------------------------------
        // OBTIENE COMUNAS X REGIÓN X PROVINCIA
        //---------------------------------------------------------------------
        $("#select_provincias").on("change", function () {
          var region = $("#select_regiones").val();
          var provincia = $(this).val();
          $.ajax({
            type: "GET",
            url: `https://apis.digital.gob.cl/dpa/regiones/${region}/provincias/${provincia}/comunas`,
            success: function (data) {
              $("#select_comunas").html("");
              var arr = data;
              var comunas = "";
              arr.map(
                (elem) =>
                  (comunas += `<option value='${elem["codigo"]}'>${elem["codigo"]} - ${elem["nombre"]}</option>`)
              );
              $("#select_comunas").append(`${comunas}`);
            },
          });
        });
      });
    </script>
    <style>
      table tr th {
        text-align: right;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <h2>REGIONES, PROVINCIAS y COMUNAS DE CHILE</h2>

      <hr />

      <table class="table table-striped table.bordered" width="100%">
        <tr>
          <th>REGIONES:</th>
          <td><select id="select_regiones"></select></td>
        </tr>
        <tr>
          <th>PROVINCIAS:</th>
          <td><select id="select_provincias"></select></td>
        </tr>
        <tr>
          <th>COMUNAS:</th>
          <td><select id="select_comunas"></select></td>
        </tr>
      </table>
    </div>
  </body>
</html>
